Index: src/networks/donkey/donkeyOvernet.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyOvernet.ml,v
retrieving revision 1.65
diff -u -u -w -r1.65 donkeyOvernet.ml
--- src/networks/donkey/donkeyOvernet.ml	1 Apr 2006 23:19:21 -0000	1.65
+++ src/networks/donkey/donkeyOvernet.ml	19 May 2006 21:58:29 -0000
@@ -332,14 +332,13 @@
 
     open Proto
 
-    let lprintf_nl () =
-      lprintf "%s[%s] "
-      (log_time ())
-      (if Proto.redirector_section = "DKKO" then "Overnet" else "Kademlia"); lprintf_nl2
-
-    let lprintf_n () =
-      lprintf "[%s] "
-      (if Proto.redirector_section = "DKKO" then "Overnet" else "Kademlia"); lprintf
+    let log_prefix = (if Proto.redirector_section = "DKKO" then "[Overnet]" else "[Kademlia]")
+
+    let lprintf_nl fmt =
+      lprintf_nl2 log_prefix fmt
+
+    let lprintf_n fmt =
+      lprintf2 log_prefix fmt
 
 (********************************************************************
 
@@ -854,7 +853,7 @@
         if p.peer_kind < 4 && p.peer_expire > last_time () && 
            p.peer_last_send <> 0 then begin
             if !verbose_overnet then begin
-            lprintf_nl () "Adding good search peer %s:%d"
+            lprintf_nl "Adding good search peer %s:%d"
               (Ip.to_string p.peer_ip) p.peer_port;
 	    end;
             decr nb;
@@ -942,7 +941,7 @@
   end
 
 let create_search kind md4 =
-  if !verbose_overnet then lprintf_nl () "create_search";
+  if !verbose_overnet then lprintf_nl "create_search";
   let starttime = last_time () + (2 * List.length !overnet_searches) in
   let s = ref {
       search_md4 = md4;
@@ -971,7 +970,7 @@
     end
   ) !overnet_searches;
   List.iter (add_search_peer !s) (get_closest_peers md4 max_search_queries);
-  if !verbose_overnet then lprintf_nl () "create_search done";
+  if !verbose_overnet then lprintf_nl "create_search done";
   overnet_searches := !s :: !overnet_searches;
   !s
 
@@ -995,7 +994,7 @@
   let other_ip = ip_of_udp_packet p in
   let other_port = port_of_udp_packet p in
   if !verbose_overnet then
-    lprintf_nl () "UDP FROM %s:%d type %s"
+    lprintf_nl "UDP FROM %s:%d type %s"
       (Ip.to_string other_ip) other_port
       (message_to_string t);
   (* Emule uses other_ip:other_port, so do we *)
@@ -1013,7 +1012,7 @@
        else
 	 begin
 	   if !verbose_overnet then
-	     lprintf_nl () "Connect: invalid IP %s:%d received from %s:%d"
+       lprintf_nl "Connect: invalid IP %s:%d received from %s:%d"
 	          (Ip.to_string p.peer_ip) p.peer_port (Ip.to_string other_ip) other_port;
 	     failwith "Message not understood"
 	 end
@@ -1039,7 +1038,7 @@
         udp_send sender (OvernetPublicized (Some (my_peer ())))
        else begin
 	      if !verbose_overnet then
-	        lprintf_nl () "Publicize: invalid IP %s:%d received from %s:%d"
+          lprintf_nl "Publicize: invalid IP %s:%d received from %s:%d"
 	          (Ip.to_string p.peer_ip) p.peer_port (Ip.to_string other_ip) other_port;
 	      failwith "Message not understood"
 	    end
@@ -1068,8 +1067,8 @@
   | OvernetUnknown (opcode, s) ->
       if !verbose_unknown_messages then
         begin
-          lprintf_nl () "Unknown message from %s:%d " (Ip.to_string other_ip) other_port;
-          lprintf_nl () "\tCode: %d" opcode; dump s;
+          lprintf_nl "Unknown message from %s:%d " (Ip.to_string other_ip) other_port;
+          lprintf_nl "\tCode: %d" opcode; dump s;
         end
 
   | OvernetSearchFilesResults (md4, results) ->
@@ -1088,9 +1087,9 @@
                           s.search_hits <- s.search_hits + 1;
                           Hashtbl.add s.search_results r_md4 r_tags;
                           if !verbose_overnet then begin
-                              lprintf_nl () "FILE FOUND, TAGS:";
+                              lprintf_nl "FILE FOUND, TAGS:";
                               print_tags r_tags;
-                              lprintf_nl () ""
+                              lprintf_nl ""
                         end;
 
                           DonkeyOneFile.search_found true sss r_md4 r_tags;
@@ -1159,32 +1158,32 @@
 
   | OvernetFirewallConnectionACK(md4) ->   
        if !verbose_overnet && debug_client other_ip then   
-         lprintf_nl () "FIREWALL ACK for md4=%s" (Md4.to_string md4)   
+         lprintf_nl "FIREWALL ACK for md4=%s" (Md4.to_string md4)   
     
    | OvernetFirewallConnectionNACK(md4) ->   
        if !verbose_overnet && debug_client other_ip then   
-         lprintf_nl () "FIREWALL NACK for md4=%s" (Md4.to_string md4)   
+         lprintf_nl "FIREWALL NACK for md4=%s" (Md4.to_string md4)   
     
  (* send the answer *)   
    | OvernetGetMyIP other_port ->   
        if !verbose_overnet && debug_client other_ip then   
-         lprintf_nl () "GET MY IP (port=%d)\n" other_port;   
+         lprintf_nl "GET MY IP (port=%d)\n" other_port;   
  (* FIXME : should be able to flush the UDP buffer*)   
        udp_send sender (OvernetGetMyIPResult other_ip);   
        udp_send sender OvernetGetMyIPDone   
     
    | OvernetGetMyIPResult(ip) ->   
        if !verbose_overnet && debug_client other_ip then   
-         lprintf_nl () "GET MY IP RESULT (%s)\n" (Ip.to_string ip)   
+         lprintf_nl "GET MY IP RESULT (%s)\n" (Ip.to_string ip)   
     
    | OvernetGetMyIPDone ->   
        if !verbose_overnet && debug_client other_ip then   
-         lprintf_nl () "GET MY IP DONE\n"   
+         lprintf_nl "GET MY IP DONE\n"   
   
   | OvernetPeerNotFound peer ->
       begin
         if !verbose_overnet || debug_client other_ip then
-          lprintf_nl () "Peer NOT FOUND %s (%s:%d) kind: %d (msg 33)"
+          lprintf_nl "Peer NOT FOUND %s (%s:%d) kind: %d (msg 33)"
             (Md4.to_string peer.peer_md4) (Ip.to_string peer.peer_ip)
         peer.peer_port peer.peer_kind;
         let dp = { dummy_peer with peer_port = peer.peer_port ; peer_ip = peer.peer_ip } in
@@ -1209,8 +1208,8 @@
 
    | OvernetUnknown21 peer ->
       if !verbose_overnet && debug_client other_ip then begin
-          lprintf_nl () "Unknown 21 message ...";
-          lprintf_nl () "From peer: %s ip: %s:%d kind: %d"
+          lprintf_nl "Unknown 21 message ...";
+          lprintf_nl "From peer: %s ip: %s:%d kind: %d"
             (Md4.to_string peer.peer_md4) (Ip.to_string peer.peer_ip) peer.peer_port peer.peer_kind
         end
 
@@ -1312,7 +1311,7 @@
       begin
         decr connected_peers;
         KnownPeers.remove known_peers p;
-        if !verbose_overnet then lprintf_nl () "update_bucket1: removing %s:%d" (Ip.to_string p.peer_ip) p.peer_port;
+        if !verbose_overnet then lprintf_nl "update_bucket1: removing %s:%d" (Ip.to_string p.peer_ip) p.peer_port;
       end;
     done
 
@@ -1339,7 +1338,7 @@
             end else if p.peer_kind = 4 && p.peer_expire <= last_time () then begin
               decr pre_connected_peers;
               KnownPeers.remove known_peers p;
-              if !verbose_overnet then lprintf_nl () "update_bucket2: removing %s:%d" (Ip.to_string p.peer_ip) p.peer_port;
+              if !verbose_overnet then lprintf_nl "update_bucket2: removing %s:%d" (Ip.to_string p.peer_ip) p.peer_port;
             end else
             (* the rest returns in prebuckets *)
             Fifo.put pb p
@@ -1537,7 +1536,7 @@
     ) ss;
     List.length ss
   with e ->
-      lprintf_nl () "Exception %s while loading %s" (Printexc2.to_string e)
+      lprintf_nl "Exception %s while loading %s" (Printexc2.to_string e)
       filename;
       0
 
@@ -1781,10 +1780,10 @@
             (Ip.of_string ip)
           (int_of_string port)
           (OvernetUnknown (opcode,msg));
-          lprintf_nl () "Sending UDP message %d to %s:%s" opcode ip port;
-          dump msg; lprintf_nl () ""; "Sending UDP message"
+          lprintf_nl "Sending UDP message %d to %s:%s" opcode ip port;
+          dump msg; lprintf_nl ""; "Sending UDP message"
         with _ ->
-            lprintf_nl () "Unable to send UDP message"; "Unable to send UDP message"
+            lprintf_nl "Unable to send UDP message"; "Unable to send UDP message"
     ), ":\t\t\t\tsend UDP message (<ip> <port> <msg in hex>)";
     
     "buckets", Arg_none (fun o ->
@@ -1845,10 +1844,10 @@
 let overnet_search (ss : search) =
   if !!overnet_search_keyword && !!enable_overnet then
     let q = ss.search_query in
-    if !verbose_overnet then lprintf_nl () "========= %s_search =========" command_prefix_to_net;
+    if !verbose_overnet then lprintf_nl "========= %s_search =========" command_prefix_to_net;
     let ws = keywords_of_query q in
     List.iter (fun w ->
-        if !verbose_overnet then lprintf_nl () "%s_search for %s" command_prefix_to_net w;
+        if !verbose_overnet then lprintf_nl "%s_search for %s" command_prefix_to_net w;
         let s = create_keyword_search w ss in
         Hashtbl.iter (fun r_md4 r_tags ->
             DonkeyOneFile.search_found true ss r_md4 r_tags) s.search_results;
@@ -1911,10 +1910,10 @@
                 Ip.async_ip name (fun ip ->
                     let port = int_of_string port in
                     if !verbose_overnet then
-                      lprintf_nl () "Adding %s peer %s:%d" command_prefix_to_net name port;
+                      lprintf_nl "Adding %s peer %s:%d" command_prefix_to_net name port;
                     bootstrap ip port)
-            | _ -> lprintf_nl () "BAD LINE ocl: %s" s;
-          with _ -> lprintf_nl () "DNS failed";
+            | _ -> lprintf_nl "BAD LINE ocl: %s" s;
+          with _ -> lprintf_nl "DNS failed";
       ) lines
   );
 
@@ -1924,12 +1923,12 @@
       (fun url filename ->
         if !!enable_overnet && !!overnet_update_nodes then
           let n = load_contact_dat filename in
-            lprintf_nl () "contact.dat loaded from %s, added %d peers" url n;
+            lprintf_nl "contact.dat loaded from %s, added %d peers" url n;
 	else
 	  if not !!enable_overnet then
-	    lprintf_nl () "Overnet module is disabled, ignoring..."
+      lprintf_nl "Overnet module is disabled, ignoring..."
 	  else
-	    lprintf_nl () "Overnet_update_nodes is disabled, ignoring..."
+      lprintf_nl "Overnet_update_nodes is disabled, ignoring..."
         );
 
 (*************************************************************
Index: src/networks/donkey/donkeyProtoCom.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyProtoCom.ml,v
retrieving revision 1.31
diff -u -u -w -r1.31 donkeyProtoCom.ml
--- src/networks/donkey/donkeyProtoCom.ml	17 Feb 2006 22:25:33 -0000	1.31
+++ src/networks/donkey/donkeyProtoCom.ml	19 May 2006 21:58:29 -0000
@@ -36,14 +36,6 @@
 open DonkeyTypes
 open DonkeyMftp
 
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
-let lprintf_n () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf
-
 let buf = TcpBufferedSocket.internal_buf
 
 let client_msg_to_string emule_version msg =
@@ -64,7 +56,7 @@
   DonkeyProtoServer.write buf msg;
 
   if !verbose_msg_servers then begin
-      lprintf_nl () "MESSAGE TO SERVER:";
+      lprintf_nl "MESSAGE TO SERVER:";
       DonkeyProtoServer.print msg;
       lprint_newline ();
     end;
@@ -87,7 +79,7 @@
 let client_send c m =
   let emule_version = c.client_emule_proto in
   if !verbose_msg_clients || c.client_debug then begin
-      lprintf_nl () "Sent to client[%d] %s(%s) %s" (client_num c)
+      lprintf_nl "Sent to client[%d] %s(%s) %s" (client_num c)
         c.client_name (brand_to_string c.client_brand)
       (match c.client_kind with
           Indirect_address (server_ip, server_port, ip, port, real_ip) ->
@@ -169,7 +161,7 @@
 let really_udp_send t ip port msg isping =
 
   if !verbose_udp then begin
-      lprintf_nl () "Message UDP%s to %s:%d\n%s" 
+      lprintf_nl "Message UDP%s to %s:%d\n%s" 
         (if isping then "(PING)" else "") (Ip.to_string ip) 
         port (DonkeyProtoUdp.print msg);
     end;
@@ -180,7 +172,7 @@
     let s = Buffer.contents buf in
     UdpSocket.write t isping s ip port
   with e ->
-      lprintf_nl () "Exception %s in udp_send" (Printexc2.to_string e)
+      lprintf_nl "Exception %s in udp_send" (Printexc2.to_string e)
 
 let udp_send t ip port msg =
   really_udp_send t ip port msg false
@@ -212,7 +204,7 @@
             if len = 0 ||
               int_of_char pbuf.[0] <> DonkeyOpenProtocol.udp_magic then begin
                 if !verbose_unknown_messages then begin
-                    lprintf_nl () "Received unknown UDP packet";
+                    lprintf_nl "Received unknown UDP packet";
                     dump pbuf;
                   end;
               end else begin
@@ -220,7 +212,7 @@
                 f t p
               end
           with e ->
-              lprintf_nl () "Error %s in udp_basic_handler"
+              lprintf_nl "Error %s in udp_basic_handler"
                 (Printexc2.to_string e)
       ) ;
   | _ -> ()
@@ -239,7 +231,7 @@
       let name = if String2.starts_with name "hidden." then
           String.sub name 7 (String.length name - 7)
         else name in
-      if !verbose_share then lprintf_nl () "tag_file: Sharing %s" name;
+      if !verbose_share then lprintf_nl "tag_file: Sharing %s" name;
       name
     ))::
   (int64_tag Field_Size file.file_file.impl_file_size) ::
@@ -248,7 +240,7 @@
         FormatNotComputed next_time when
         next_time < last_time () ->
           (try
-              if !verbose_share then lprintf_nl () "Find format %s"
+              if !verbose_share then lprintf_nl "Find format %s"
                   (file_disk_name file);
               file.file_format <- (
                 match
@@ -347,7 +339,7 @@
       str_int s 0 nfiles;
       let s = String.sub s 0 prev_len in
       if !verbose_share || !verbose then
-         lprintf_nl () "Sending %d share(s) to server %s:%d%s"
+         lprintf_nl "Sending %d share(s) to server %s:%d%s"
 	   nfiles (Ip.to_string (peer_ip sock)) (peer_port sock)
 	   (if compressed then "(zlib)" else "");
       Buffer.reset buf;
Index: src/networks/donkey/donkeyProtoKademlia.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyProtoKademlia.ml,v
retrieving revision 1.19
diff -u -u -w -r1.19 donkeyProtoKademlia.ml
--- src/networks/donkey/donkeyProtoKademlia.ml	29 Mar 2006 14:22:08 -0000	1.19
+++ src/networks/donkey/donkeyProtoKademlia.ml	19 May 2006 21:58:29 -0000
@@ -35,12 +35,13 @@
 
 module P = struct
 
-    let lprintf_nl () =
-      lprintf "%s[Kademlia] "
-      (log_time ()) ; lprintf_nl2
+    let log_prefix = "[Kademlia]"
 
-    let lprintf_n () =
-      lprintf "[Kademlia] " ; lprintf
+    let lprintf_nl fmt =
+      lprintf_nl2 log_prefix fmt
+
+    let lprintf_n fmt =
+      lprintf2 log_prefix fmt
 
     let names_of_tag =
       [
@@ -261,7 +262,7 @@
                       peer_kind := 3)
               | _ ->
                 if !verbose_unknown_messages then
-                  lprintf_nl () "Unused source tag [%s]"
+                  lprintf_nl "Unused source tag [%s]"
                     (escaped_string_of_field tag)
           ) r_tags;
           {
@@ -403,7 +404,7 @@
           magic <> kademlia_packed_header_code) then
         begin
           if !CommonOptions.verbose_unknown_messages then begin
-              lprintf_nl () "Received unknown UDP packet";
+              lprintf_nl "Received unknown UDP packet";
               dump pbuf;
             end;
           raise Not_found
@@ -440,7 +441,7 @@
 
         if !verbose_overnet then
           begin
-            lprintf_nl () "Sending UDP to %s:%d (opcode 0x%02X len %d) type %s"
+            lprintf_nl "Sending UDP to %s:%d (opcode 0x%02X len %d) type %s"
               (Ip.to_string ip) port (get_uint8 s 1) (String.length s) (message_to_string msg);
           end;
         (*
@@ -454,7 +455,7 @@
         UdpSocket.write sock ping s ip port
       with
       | MessageNotImplemented -> ()
-      | e -> lprintf_nl () "Exception %s in udp_send" (Printexc2.to_string e)
+      | e -> lprintf_nl "Exception %s in udp_send" (Printexc2.to_string e)
 
     let udp_handler f sock event =
       match event with
@@ -474,7 +475,7 @@
               with e ->
                 if !verbose_unknown_messages then
                 begin
-                  lprintf_nl () "Error %s in udp_handler, dump of packet:"
+                  lprintf_nl "Error %s in udp_handler, dump of packet:"
                     (Printexc2.to_string e);
                   dump p.UdpSocket.udp_content;
                   lprint_newline ()
Index: src/networks/donkey/donkeyProtoOvernet.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyProtoOvernet.ml,v
retrieving revision 1.29
diff -u -u -w -r1.29 donkeyProtoOvernet.ml
--- src/networks/donkey/donkeyProtoOvernet.ml	5 May 2006 22:00:16 -0000	1.29
+++ src/networks/donkey/donkeyProtoOvernet.ml	19 May 2006 21:58:29 -0000
@@ -32,12 +32,13 @@
 
 module Proto = struct
 
-     let lprintf_nl () =
-      lprintf "%s[Overnet] "
-      (log_time ()) ; lprintf_nl2
+    let log_prefix = "[Overnet]"
 
-    let lprintf_n () =
-      lprintf "[Overnet] " ; lprintf
+    let lprintf_nl fmt =
+      lprintf_nl2 log_prefix fmt
+
+    let lprintf_n fmt =
+      lprintf2 log_prefix fmt
 
    let names_of_tag = file_common_tags
 
@@ -189,14 +190,14 @@
             Field_UNKNOWN "loc" ->
               for_string_tag tag (fun bcp ->
                   if !verbose_overnet then
-                  lprintf_nl () "loc tag : [%s]" bcp;
+                  lprintf_nl "loc tag : [%s]" bcp;
                   if String2.starts_with bcp "bcp://" then
                     let bcp2 = String.sub bcp 6 (String.length bcp - 6)
                     in
                     match String2.split_simplify bcp2 ':' with
                     | [_;ip;port] ->
                         if !verbose_overnet then
-                          lprintf_nl () "Received BCP type 2 %s"
+                          lprintf_nl "Received BCP type 2 %s"
                             bcp;
 
 (* FIXME: A firewalled peer...
@@ -209,14 +210,14 @@
                         peer_tcpport := int_of_string port;
                     | _ ->
         		if !verbose_overnet then
-                          lprintf_nl () "Ill formed bcp: [%s]" bcp;
+                          lprintf_nl "Ill formed bcp: [%s]" bcp;
                   else
 		    if !verbose_overnet then
-                      lprintf_nl () "Ill formed bcp: [%s]" bcp;
+                      lprintf_nl "Ill formed bcp: [%s]" bcp;
               )
           | _ ->
             if !verbose_unknown_messages then
-              lprintf_nl () "Unused source tag [%s]"
+              lprintf_nl "Unused source tag [%s]"
                 (escaped_string_of_field tag)
       ) r_tags;
       {
@@ -317,7 +318,7 @@
         | 21 ->
 (* idem as 33, but IP seem to be a low ID *)
             if !verbose_overnet then begin
-                lprintf_nl () "Received code %d message. Dump:" opcode;
+                lprintf_nl "Received code %d message. Dump:" opcode;
                 dump s;
                 lprint_newline ();
               end;
@@ -325,42 +326,42 @@
             OvernetUnknown21 peer
         | 24 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: OVERNET FIREWALL CONNECTION (24)";
+              lprintf_nl "RCVD: OVERNET FIREWALL CONNECTION (24)";
             let md4 = get_md4 s 0 in
             let port = get_int16 s 16 in
             OvernetFirewallConnection(md4,port)
         | 25 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: OVERNET FIREWALL CONNECTION ACK (25)";
+              lprintf_nl "RCVD: OVERNET FIREWALL CONNECTION ACK (25)";
             let md4 = get_md4 s 0 in
             OvernetFirewallConnectionACK(md4)
         | 26 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: OVERNET FIREWALL CONNECTION NACK (26)";
+              lprintf_nl "RCVD: OVERNET FIREWALL CONNECTION NACK (26)";
             let md4 = get_md4 s 0 in
             OvernetFirewallConnectionNACK(md4)
         | 27 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: GETMYIP MESSAGE (27)";
+              lprintf_nl "RCVD: GETMYIP MESSAGE (27)";
             OvernetGetMyIP (get_int16 s 0)
         | 28 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: GETMYIPRESULT MESSAGE (28)";
+              lprintf_nl "RCVD: GETMYIPRESULT MESSAGE (28)";
             let ip = get_ip s 0 in
             OvernetGetMyIPResult (ip)
         | 29 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: GETMYIPDONE MESSAGE (29)";
+              lprintf_nl "RCVD: GETMYIPDONE MESSAGE (29)";
             OvernetGetMyIPDone
         | 33 ->
             if !verbose_overnet then
-              lprintf_nl () "RCVD: PEER NOT FOUND (33)";
+              lprintf_nl "RCVD: PEER NOT FOUND (33)";
             let peer, _ = get_peer s 0 in
             OvernetPeerNotFound peer
         | _ ->
             if !verbose_unknown_messages then
               begin
-                lprintf_nl () "unknown opcode %d" opcode;
+                lprintf_nl "unknown opcode %d" opcode;
                 dump s;
                 lprint_newline ();
               end;
@@ -368,7 +369,7 @@
       with e ->
           if !verbose_unknown_messages then
             begin
-              lprintf_nl () "Error %s while parsing opcode %d" (Printexc2.to_string e) opcode;
+              lprintf_nl "Error %s while parsing opcode %d" (Printexc2.to_string e) opcode;
               dump s;
               lprint_newline ();
             end;
@@ -385,7 +386,7 @@
                   int_of_char pbuf.[0] <> 227 then
                   begin
                     if !verbose_unknown_messages then begin
-                        lprintf_nl () "Received unknown UDP packet";
+                        lprintf_nl "Received unknown UDP packet";
                         dump pbuf;
                       end
                   end
@@ -403,7 +404,7 @@
                   end
               with e ->
                 if !verbose_unknown_messages then begin
-                  lprintf_nl () "Error %s in udp_handler, dump of packet:"
+                  lprintf_nl "Error %s in udp_handler, dump of packet:"
                     (Printexc2.to_string e);
                   dump p.UdpSocket.udp_content;
                   lprint_newline ()
@@ -429,12 +430,12 @@
         let s = Buffer.contents udp_buf in
         if !verbose_overnet then
           begin
-            lprintf_nl () "Sending UDP to %s:%d (opcode 0x%02X len %d) type %s"
+            lprintf_nl "Sending UDP to %s:%d (opcode 0x%02X len %d) type %s"
               (Ip.to_string ip) port (get_uint8 s 1) (String.length s) (message_to_string msg);
           end;
         UdpSocket.write sock ping s ip port
       with e ->
-          lprintf_nl () "Exception %s in udp_send" (Printexc2.to_string e)
+          lprintf_nl "Exception %s in udp_send" (Printexc2.to_string e)
 
     let udp_send sock ip port ping msg =
       match msg with
